
#ifndef _AEUTILS_
#define _AEUTILS_


#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __MIXEDMODE__
#include <MixedMode.h>
#endif

#ifndef __APPLEEVENTS__
#include <AppleEvents.h>
#endif

#ifndef __PROCESSES__
#include <Processes.h>
#endif

#ifndef __WINDOWS__
#include <Windows.h>
#endif
 

/**\
|**| ==============================================================================
|**| PUBLIC GLOBALS
|**| ==============================================================================
\**/
extern	AEAddressDesc		gSelfPSNAddress;	// A self-addressed address descriptor record using GetCurrentProcess()
extern	AEAddressDesc		gSelfAddress;		// A self-addressed address descriptor record using kCurrentProcess
extern	ProcessSerialNumber	gSelfPSN;			// This application's psn
extern	AEDesc				gNullDesc;			// A null descriptor record



/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
OSErr			AE_present					( void ) ;
OSErr			AE_available				( void ) ;
OSErr			AE_initialize				( void ) ;
OSErr 			MyGotRequiredParams			( AppleEvent *theAppleEvent ) ;


#endif